### Type parameters

- #### T

### Hierarchy

- ReadonlyArray

## Index

### Methods

- find
- findIndex

## Methods

### find

- find<S>(predicate: function, thisArg?: any): S | undefined
- find(predicate: function, thisArg?: any): T | undefined

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:346

  Returns the value of the first element in the array where predicate is true, and undefined otherwise.

  #### Type parameters

  - #### S: T

  #### Parameters

  - ##### predicate: function

    find calls predicate once for each element of the array, in ascending order, until it finds one where predicate returns true. If such an element is found, find immediately returns that element value. Otherwise, find returns undefined.

    - - (this: void, value: T, index: number, obj: ReadonlyArray<T>): boolean

      - #### Parameters

        - ##### this: void

        - ##### value: T

        - ##### index: number

        - ##### obj: ReadonlyArray<T>

        #### Returns boolean

  - ##### Optional thisArg: any

    If provided, it will be used as the this value for each invocation of predicate. If it is not provided, undefined is used instead.

  #### Returns S | undefined

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:347

  #### Parameters

  - ##### predicate: function

    - - (value: T, index: number, obj: ReadonlyArray<T>): boolean

      - #### Parameters

        - ##### value: T

        - ##### index: number

        - ##### obj: ReadonlyArray<T>

        #### Returns boolean

  - ##### Optional thisArg: any

  #### Returns T | undefined

### findIndex

- findIndex(predicate: function, thisArg?: any): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:358

  Returns the index of the first element in the array where predicate is true, and -1 otherwise.

  #### Parameters

  - ##### predicate: function

    find calls predicate once for each element of the array, in ascending order, until it finds one where predicate returns true. If such an element is found, findIndex immediately returns that element index. Otherwise, findIndex returns -1.

    - - (value: T, index: number, obj: ReadonlyArray<T>): boolean

      - #### Parameters

        - ##### value: T

        - ##### index: number

        - ##### obj: ReadonlyArray<T>

        #### Returns boolean

  - ##### Optional thisArg: any

    If provided, it will be used as the this value for each invocation of predicate. If it is not provided, undefined is used instead.

  #### Returns number

Generated using TypeDoc